# Set Git Commit Hash

Hypertest provides a way to set the Git commit hash for your application. This enables accurate tracking of coverage across different builds which will helps in comparing coverage metrics across multiple versions.

You can directly set the Git commit hash by adding the below code to your `index.js`:

```javascript
htSdk.setGitCommitHash(<git-commitHash>);
```

{% hint style="info" %}
The above call to set git commitHash should be done before starting the coverage measurement using `htSdk.measureContinuousCoverage()`.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-v2.hypertest.co/user-guides/node.js-sdk/set-git-commit-hash.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
